=== modified file 'storage/innobase/include/univ.i'
--- storage/innobase/include/univ.i	2009-02-10 07:11:39 +0000
+++ storage/innobase/include/univ.i	2009-02-10 20:38:14 +0000
@@ -363,8 +363,8 @@
 #elif ( defined(sun) || defined(__sun) )
 # define UNIV_EXPECT(expr,value) (expr)
 # define UNIV_LIKELY_NULL(expr) (expr)
-# define UNIV_PREFETCH_R(addr) sun_prefetch_read_many(addr)
-# define UNIV_PREFETCH_RW(addr) sun_prefetch_write_many(addr)
+# define UNIV_PREFETCH_R(addr) sun_prefetch_read_many((void *)(addr))
+# define UNIV_PREFETCH_RW(addr) sun_prefetch_write_many((void *)(addr))
 #else
 /* Dummy versions of the macros */
 # define UNIV_EXPECT(expr,value) (expr)

=== modified file 'storage/innobase/plug.in'
--- storage/innobase/plug.in	2008-12-20 21:07:44 +0000
+++ storage/innobase/plug.in	2009-02-10 20:38:14 +0000
@@ -19,24 +19,24 @@
   AC_C_BIGENDIAN
   case "$target_os" in
          lin*)
-           CFLAGS="$CFLAGS -DUNIV_LINUX";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_LINUX";;
          hpux10*)
-           CFLAGS="$CFLAGS -DUNIV_MUST_NOT_INLINE -DUNIV_HPUX -DUNIV_HPUX10";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_MUST_NOT_INLINE -DUNIV_HPUX -DUNIV_HPUX10";;
          hp*)
-           CFLAGS="$CFLAGS -DUNIV_MUST_NOT_INLINE -DUNIV_HPUX";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_MUST_NOT_INLINE -DUNIV_HPUX";;
          aix*)
-           CFLAGS="$CFLAGS -DUNIV_AIX";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_AIX";;
          irix*)
-           CFLAGS="$CFLAGS -DUNIV_MUST_NOT_INLINE";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_MUST_NOT_INLINE";;
          osf*)
-           CFLAGS="$CFLAGS -DUNIV_MUST_NOT_INLINE";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_MUST_NOT_INLINE";;
 	 *solaris*|*SunOS*)
-           CFLAGS="$CFLAGS -DUNIV_SOLARIS";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_SOLARIS";;
          sysv5uw7*)
            # Problem when linking on SCO
-           CFLAGS="$CFLAGS -DUNIV_MUST_NOT_INLINE";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_MUST_NOT_INLINE";;
          openbsd*)
-           CFLAGS="$CFLAGS -DUNIV_MUST_NOT_INLINE";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_MUST_NOT_INLINE";;
   esac
 
   AM_CONDITIONAL(BUILD_DRIZZLE,[test "x$ac_build_drizzle" = "xyes"])

